petsc-3.12.4 2020-02-04
Report Typos and Errors

# MatMultHermitianTransposeAdd

Computes v3 = v2 + A^H * v1.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatMultHermitianTransposeAdd(Mat mat,Vec v1,Vec v2,Vec v3)

Neighbor-wise Collective on Mat

### Input Parameters

| mat | - the matrix
| v1, v2 | - the vectors

### Output Parameters

v3 -the result

### Notes

The vectors v1 and v3 cannot be the same. I.e., one cannot call MatMultHermitianTransposeAdd(A,v1,v2,v1).

### See Also

MatMultHermitianTranspose(), MatMultTranspose(), MatMultAdd(), MatMult()

### Level

beginner

### Location

src/mat/interface/matrix.c

### Implementations

MatMultHermitianTransposeAdd_SeqBAIJ in src/mat/impls/baij/seq/baij2.c
MatMultHermitianTransposeAdd_Normal in src/mat/impls/normal/normmh.c
MatMultHermitianTransposeAdd_HT in src/mat/impls/transpose/htransm.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages